Subject: SUMMARY: CCL:Help on transition metal--chlorine optimization

From: Roy Jensen <[email-masked]>
Date: Thu, 29 Jun 2000 00:18:20 -0700

Thanks for the overwhelming assistance. The responses centered around
two areas.
	- modify the scf keyword with 'vshift' and 'qc'
	- start with a lower level of theory to generate a better initial
	  wavefunction

Gaussian, Inc. replied that G98W A.9 worked with the input file and
maxcyc=100. Time to get the update...

Below is a summary of the emails. Preliminary results look good, I
will post an input file that works well once I have done more tests.

Roy Jensen

ORIGINAL EMAIL
=============

>I posted a message to the CCL a few weeks ago; a summary was just
>posted. DFT was the choice for geometry optimizations on transition
>metal--chlorine clusters (neutral and ionic). 
>
>I am using Gaussian 94W and 98W however I cannot get the simplest job
>to run. I have tried several methods and various basis sets. Almost
>all fail to converge on the first step. A sample input and output file
>are given below. 
>
>Thanks,
>Roy Jensen
>
>
>INPUT FILE
>=========
># UB3LYP LANL2DZ opt test
> 
>Optimized geometry for FeCl.
> 
>0 2
>Fe
>Cl 1 R1
>
>R1=2.19
>
>
>OUTPUT FILE
>===========
>>...
> <S**2> of initial guess=  .7500
> Requested convergence on RMS density matrix=1.00E-08 within  64
>cycles.
> Requested convergence on MAX density matrix=1.00E-06.
> Keep R1 and R2 integrals in memory in canonical form, NReq=
>727936.
> Integral accuracy reduced to 1.0E-05 until final iterations.
> Problem detected with inexpensive integrals.
> Switching to full accuracy and repeating last cycle.
> >>>>>>>>>> Convergence criterion not met.
> SCF Done:  E(UB+HF-LYP) =  -137.386151674     A.U. after   65 cycles
>             Convg  =     .4226E-01             -V/T =  2.6548
>             S**2   =    .8263
> Annihilation of the first spin contaminant:
> S**2 before annihilation      .8263,   after      .7500
> Convergence failure -- run terminated.
> Error termination via Lnk1e in D:\G94W\l502.exe.
> Job cpu time:  0 days  0 hours 11 minutes 38.0 seconds.
> File lengths (MBytes):  RWF=    5 Int=    0 D2E=    0 Chk=    1 Scr=
>1
>

RESPONSES
==========

"Li Zhenhua" <[email-masked]>
>use SCF=QC but it is very slow. Or you try vshift=400 scfcyc=300 or so.

Shahar Keinan <[email-masked]>
>I've done some calculation on [CuCl4]2-, but I've used jaguar, this is because
>they have a speciall method for creating initial wave function whcih is better.
>
>I did this after receiving this email from 
>          "Help at Schrodinger, Inc" <[email-masked]>:
>
>>First, I don't really think that 3-21G is an accurate enough basis set
>for your system.  You will probably actually have better convergence
>and better accuracy, without much difference in run time, if you use a
>LACVP based basis set.
>
>Second, both the numerical accuracy of DFT and additional basis
>functions (especially diffuse bases) can make SCF convergence more
>difficult.  So you should try to first converge the SCF wavefunction
>with HF LACVP.  When that wavefunction converges, you can use the
>wavefunction in the restart file as a starting guess for, for
>instance, a HF LACVP* calculation.  When that converges, restart for
>DFT LACVP*, then DFT LACVP*+.  [Only after you've successfully
>converged the DFT LACVP*+ wavefunction, turn on geometry optimization
>in the restart file].
>
>This step-by-step process is much more likely to succeed.  It also
>makes it easier to see which aspect of the calculation (orbital
>occupations vs. DFT grids vs. basis set) is causing the convergence
>difficulties, which in turn makes it easier to decide which added
>flags are expected to help the most: choosing a different convergence
>scheme, virtual orbital level shifting, or finer DFT grids.
>
>The use of and flags for choosing convergence schemes, virtual
>shifting, and DFT grids for hard to converge cases are described in
>the manual, especially on pp. 124-6.
>
>Jaguar 3.5 also provides another unique feature to improve SCF
>convergence (both HF and DFT) for some TM systems.  We realized that
>most poor convergence of these systems was due to a really poor
>initial guess wavefunction (both orbital shapes and occupations).  So
>we developed an algorithm based upon ligand-field theory that creates
>a high-quality initial guess specifically designed for organometallic
>systems.  The success rate of this initial guess is phenomenal
>compared with the Huckel guess, that is used in Gaussian, for
>instance.  Use of this feature in Jaguar 3.5 is also described on
>pp.124-6 of the User's Manual.  The method and some results are
>published in: G. Vacek, J.K. Perry and J.-M. Lanlois,
>Chem. Phys. Lett., 310 (1999) pp. 189-94.

Alexander Hofmann <[email-masked]>
>have you tried
>
> scf=(vshift=50) or another value to shift energy levels around HOMO or
> guess=(alter) to switch symmetry or
> scf=(qc) which is another convergency procedure
>
>in combination with increased maxcyc.

Cory Pye <[email-masked]>
>What's happening is that your SCF is not converging. To make it converge, you 
>must either improve the initial guess orbitals or change the convergence 
>method. I tried using an HF/STO-3G guess and it works great!
>
>-----------------------------------------
>%chk=FeCl
>%mem=8000000
>#N hf/sto-3g SCF=Direct
>
>FeCl
>
>0 2
>Fe
>Cl  Fe  ClFe
>
>ClFe    =  2.19
>
>--Link1--
>%chk=FeCl
>%mem=8000000
>#N ub3lyp LANL2DZ guess=read opt SCF=Direct
>
>FeCl
>
>0 2
>Fe
>Cl  Fe  ClFe
>
>ClFe    =  2.19
>
>------------------------------
>
>This gives me, in the end, ...
>
> 1\1\GINC-CYGNUS\FOpt\UB3LYP\LANL2DZ\Cl1Fe1(2)\CPYE\27-Jun-2000\0\\#N U
> B3LYP LANL2DZ GUESS=READ OPT SCF=DIRECT\\FeCl\\0,2\Fe,0.,0.,-1.0607924
> 833\Cl,0.,0.,1.6223885039\\Version=Sun64-SVR4-Unix-G98RevA.9\HF=-138.0
> 816757\S2=0.75781\S2-1=0.\S2A=0.750006\RMSD=9.406e-09\RMSF=7.930e-06\D
> ipole=0.,0.,0.3491222\PG=C*V [C*(Cl1Fe1)]\\@

Darko Babic <[email-masked]>
>	I have tinkered with your input and finally got around the
>SCF-convergence problem, but you might still have a lot of diffi-
>culties with your real tasks.  You should try QC instead of the
>default SCF algorithm in Gaussian.  It takes much more time, but
>it usually solves the problem.  Otherwise you might try VShift
>option (with caution).  I tried a different route (which I pre-
>fer): first, I did common ROHF instead of DFT with the intention
>of using the ROHF wavefunction as a guess in DFT calculation.  It
>didn't help, so I decreased the number of electrons by 2 (put
>the charge 2 instead of 0).  This worked.  The resulting wave-
>function was used as a guess for the charge 0 case and the geo-
>metry was optimized.  Finally, this geometry was reoptimized
>by using DFT with ROHF geometry and wavefunction as the initial
>guesses.  The combined input looked as:
>
>--------------start----------------------------------
>%Chk=fecl
>#P ROHF LANL2DZ IOp(5/7=100) pop=none
>
>FeCl - first stage
>
>2 2
>Fe
>Cl 1 R1
>
>R1=2.19
>
>--Link1--
>%Chk=fecl
>#P ROHF LANL2DZ IOp(5/7=100) Geom=checkpoint Guess=read opt pop=none
>
>FeCl - second stage
>
>0 2
>
>--Link1--
>%Chk=fecl
>#P UB3LYP LANL2DZ IOp(5/7=100) Geom=checkpoint Guess=read opt
>
>FeCl - the final stage
>
>0 2
>
>
>-------------end-------------------------------------
>
>Yes, at the beginning I had to increase the maximum number of 
>cycles to 100 and I kept it at later stages too (but I didn't
>check if that was necessary).  I used G94.
>
>	Generally, it's a good practice in these situations to
>decrease the computation level by switching to common SCF (if 
>DFT is wanted) and to smaller basis sets, and then to use the 
>result as the guess in the actual job.  Also, it's good to use
>#P option as it will show you the course of convergence and
>help you to decide whether increasing the maximum number of
>cycles is appropriate or not.

"Stefan Fau" <[email-masked]>

>open shell clusters like the one you describe are a problem. If you
>want to do it good, you have to use some sort of multireference
>method. Approximate solutions can be obtained by DFT, since the
>current implementations include correlation effects in some way.
>
>The solution to your SCF problem might be a different SCF algorithm,
>e.g. quadratic convergence (QC) or (scaled) steepest descent (SSD,
>SD).
>If your problems persist, do a single point calculation with a minimal
>basis set and use the wavefunction as an initial guess in calculations
>with your desired basis set. Don't forget to check other possible
>wavefunctions. You can use guess=alter to set SCF on the right track.

"Shobe, Dave" <[email-masked]>
>Some tricks to aid convergence:
>
>1. Use a single-zeta basis set first, then use guess=read to import this
>into the double-zeta calculation.  This simplifies the "vector space" in
>which the wave function has to be found.
>
>2. Sometimes using a shorter than equilibrium bond length as the starting
>geometry helps.  This produces a stronger interaction between the atoms.
>
>3. Once you have a decent wavefunction, use vshift to prevent it from
>drifting astray.  You might also want to make a copy of the .chk file once
>you have a good wavefunction, so that you can go back to it later.
>
>4. Even with the above tricks, 64 cycles is usually far too few.  Maxcyc=500
>is more like it.
>
>One more thing: it's very easy to end up with a low-lying excited state with
>this kind of molecule.  If you know where the electrons are "supposed" to
>be, you can look at the population analysis (you may need pop=full, which I
>should warn you generates tons of output) to see if the right orbitals are
>occupied.  Also, the stable command can check for some kinds of spurious
>states.  

"Tapas Kar" <[email-masked]>
>You may try the following:
>1.(a) vshift=500 or more if energy is oscillating, or (b) scf=qc
>2. generate the initial guess using UHF calculation and start dft from that
>guess.

Art <[email-masked]>
>My experience with complexes of metals is not big, but you can try to
>reduce or make better the quality of integration grid (via keyword
>INT). Also you can modify basis set to expand orbitals. That could be
>reasonamble in case of Fe.

[email-masked] (Frederique Barbosa)
>I already had such problem during the optimization of radicals. 
>You can bypass it by using the IOP(5/13=1). This iop will allow 
>the optimization to continue even if the scf did not converge 
>after 65 cycles. But it will not give more cycles to converge 
>the scf so you have to be aware of this.

John Bushnell <[email-masked]>
>  Regarding your problems getting FeCl calcs to converge:
>You definitely need to look at the guess that Gaussian starts
>with.  It is not obvious (to me anyway) what the most likely
>iron configuration would be in ground state FeCl.  In fact,
>it's not even obvious that it is a doublet.  Iron is known
>as a difficult case, and you may have to try altering the
>default guess several times to get any state to converge.
>Once you have a converged state it is usually much easier
>to think about how to switch things around to verify that
>you have found the ground state.  That being said, I would
>add a couple more tricks to the ones people have suggested
>already on CCL:
>
>
>  Try an ROHF calculation.  Sometimes it takes longer to
>converge, but sometimes it will clean the wavefunction up
>enough to work with it.  The spin contamination is a bit
>large in your sample output, even perhaps for an unconverged
>function.
>
>  Definitely don't try an optimization right off the bat
>(as your input file suggests).  Try for a single point
>calculation with (default) loose SCF convergence.  You're
>looking for ANYTHING that looks reasonable to start.  As
>suggested, always backup the checkpoint files of converged
>calculations for further tinkering -- guess=(read,alter).
>Nothing makes fellow computer users crankier than running
>full blown opt/freq calculations with large basis sets
>before looking at what you're doing either. ;-)
>
>  Maybe try a quartet state.
>
>  Sometimes you can 'cheat' and add or subtract a few electrons to
>the system in order to reduce the chaos created by all those
>low lying states, or alternatively use a neighboring metal atom
>to get a better first guess for iron.  Be creative! :-)
>
>
>Whatever you do, you can rarely trust an ab-initio calculation
>on transition metal systems out-of-the-box.  Be careful, examine
>the atomic state tables (CE Moore) and try any possibilities you
>can think of...good luck!